{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    stdenv
    nox
    wget
    neovim
    zsh
    gitFull gitAndTools.hub tig
    gnumake
    m4
    screen
    psmisc
    pkgs.parallel
    gnupg
    pwgen
    gcc
    silver-searcher
    fzf
    tree
    python
    python34
    python34Packages.ipython
    gdb
    bind nmap tcpdump telnet
    dstat
    which
    zip
    file
    unzip
    elinks
    ctags
    nix-prefetch-scripts
    nix-repl
    jq
  ];

  environment.variables.EDITOR = "${pkgs.vim}/bin/vim";

  programs.zsh = {
    enable = true;
    promptInit = "";
  };

  programs.bash = {
    enableCompletion = true;
  };

  system.replaceRuntimeDependencies = with pkgs.lib;
    [ {
        original = pkgs.glibc;
        replacement = pkgs.stdenv.lib.overrideDerivation pkgs.glibc (oldAttr: { patches = oldAttr.patches ++
          [ ( pkgs.fetchurl {
              url = "https://raw.githubusercontent.com/NixOS/nixpkgs/master/pkgs/development/libraries/glibc/cve-2015-7547.patch";
              sha256 = "0awpc4rp2x27rjpj83ps0rclmn73hsgfv2xxk18k82w4hdxqpp5r";
            } ) ];
          } );
    } ];

}
